﻿<%@ Page Title="" Language="C#" MasterPageFile="JitbitCRMMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="AdminCustomFields.aspx.cs" Inherits="JitbitCRM.AdminCustomFields" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<h2 class="breadcrumbs"><a href="Admin.aspx">Administration</a> &raquo;
		<asp:Label ID="lblCustomFields" runat="server" EnableViewState="False" meta:resourcekey="lblCustomFieldsResource1">Custom fields</asp:Label></h2>
		
	<p>"Custom Fields" are additional properties you want your companies/contacts to have.
	For example, you might want to add a field named "Account number" to your companies, so the users will fill this field when creating a new company.</p>

	<asp:datagrid id="gridCustomFields" runat="server" CssClass="outerroundedbox horizseparated"  Width="100%" CellSpacing="-1"
		EnableViewState="False" AutoGenerateColumns="False" OnItemCommand="gridCustomFields_ItemCommand" OnItemDataBound="gridCustomFields_ItemDataBound" UseAccessibleHeader="true">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:BoundColumn Visible="False" DataField="FieldID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="FieldID" DataNavigateUrlFormatString="AdminEditCustomField.aspx?FieldID={0}"
				DataTextField="FieldName" HeaderText="Field" HeaderStyle-Width="100%">
			</asp:HyperLinkColumn>
			<asp:TemplateColumn HeaderText="Type">
				<ItemTemplate>
					<%# ((JitbitCRM.BusinessLayer.CustomFieldType)Convert.ToInt32(Eval("Type"))).ToString() %>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn HeaderStyle-Wrap="false" DataField="OrderByNumber" HeaderText='"Order by" number'></asp:BoundColumn>
			<asp:ButtonColumn Text="<img src='images/delete.png' alt='' />" CommandName="delete" meta:resourcekey="ButtonColumnResource1"></asp:ButtonColumn>
		</Columns>
	</asp:datagrid>
	<div class="outerroundedbox grey">
	<asp:Label ID="lblCreateNew" runat="server" EnableViewState="False" meta:resourcekey="lblCreateNewResource1">New custom field name:</asp:Label>*
	<asp:textbox id="tbFieldName" runat="server"></asp:textbox>
	&nbsp;
	<asp:Label ID="lblType" runat="server" EnableViewState="False" meta:resourcekey="lblTypeResource1">Type:</asp:Label>
	<asp:DropDownList ID="ddlType" runat="server">
		<asp:ListItem Value="1" Text="Text"></asp:ListItem>
		<asp:ListItem Value="2" Text="Date"></asp:ListItem>
		<asp:ListItem Value="3" Text="Selection combo"></asp:ListItem>
	</asp:DropDownList>
	&nbsp;
	<asp:CheckBox ID="cbMandatory" runat="server" EnableViewState="false" Text="Mandatory" meta:resourcekey="cbMandatoryResource1"/>
	&nbsp;
	<asp:CheckBox ID="cbUsedForCompanies" runat="server" EnableViewState="false" Text="Used for companies" meta:resourcekey="cbUsedForCompaniesResource1"/>
	&nbsp;
	<asp:CheckBox ID="cbUsedForContacts" runat="server" EnableViewState="false" Text="Used for contacts" meta:resourcekey="cbUsedForContactsResource1"/>
	&nbsp;
	<asp:CheckBox ID="cbUsedForProjects" runat="server" EnableViewState="false" Text="Used for projects" meta:resourcekey="cbUsedForProjectsResource1"/>
	&nbsp;
	<asp:button id="btnAddField" runat="server" CssClass="gradientbg" Text="add new" OnClick="btnAddField_Click" meta:resourcekey="btnAddFieldResource1"></asp:button>
</div>
</asp:Content>
