﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Comments.ascx.cs" Inherits="JitbitCRM.Comments" %>
<%@ Import Namespace="JitbitCRM" %>
<%@ Import Namespace="JitbitCRM.BusinessLayer" %>
<%@ Import Namespace="Jitbit.Utils" %>
<%@ Register src="UserTextBox.ascx" tagname="UserTextBox" tagprefix="ut" %>
<%@ Register src="GoogleDocsPicker.ascx" tagname="GoogleDocsPicker" tagprefix="gd" %>

<div style="float:right" class="grey">
<asp:UpdatePanel ID="updatePanel4" runat="server" RenderMode="Inline">
<ContentTemplate><asp:CheckBox runat="server" ID="cbHideSystem" AutoPostBack="true" Text="Hide 'system' notes" onclick="SaveHideSystemCheckbox(this)" OnCheckedChanged="cbHideSystem_CheckedChanged" /> &nbsp;
<asp:CheckBox ID="cbSubscribe" AutoPostBack="true" runat="server" Text="Notify me when an update is posted here" OnCheckedChanged="cbSubscribe_CheckedChanged" />
<asp:Repeater ID="rptSubscribers" runat="server">
	<HeaderTemplate><br /><span class="grey">Current followers: </HeaderTemplate>
	<ItemTemplate><a href='ViewUser.aspx?UserID=<%# Eval("UserID") %>'><%# Eval("UserName") %></a></ItemTemplate>
	<SeparatorTemplate>;</SeparatorTemplate>
	<FooterTemplate></span></FooterTemplate>
</asp:Repeater>
<a runat="server" id="lnkAddSubscriber" href="javascript:void(0)" onclick="ShowNewSubscriber();">add...</a>
<ut:UserTextBox ID="tbUserAdd" runat="server" DisplayNone="true" OnSelectJavaScript="AddSubscriber();" EnableViewState="false" />
<%-- hidden "add subscriber" button ([ressed from JS) --%>
<asp:Button ID="btnAddSubscriber" runat="server" EnableViewState="false" style="display:none" OnClick="btnAddSubscriber_Click"/>
</ContentTemplate></asp:UpdatePanel>
</div>

<!--"new" box-->
<div id="divAdd" runat="server">

<button type="button" id="btnShowNew" onclick="ShowNewComment();">Add a note</button>
	
<br style="clear:both" />

<div id="tblNewComment" style="display:none;margin-top:4px;" width="100%" class="outerroundedbox darkbg">
<h4>Add a note</h4>
<div class="grey">
<asp:UpdatePanel ID="updatePanel1" runat="server">
<ContentTemplate>
<asp:textbox id="tbNewComment" EnableViewState="false" runat="server" Width="100%" TextMode="MultiLine" Rows="4"></asp:textbox>
<a href="javascript:void(0)" id="lnkCommentOptions" onclick="ShowCommentOptions()">Show options (attach files, projects)...</a>
<div id="divAdvanced" style="display:none">
<div class="noteOptions">
Type:<br />
<asp:DropDownList runat="server" ID="ddlType" EnableViewState="false">
<asp:ListItem Value="1" Text="Misc note" Selected="True"></asp:ListItem>
<asp:ListItem Value="2" Text="Meeting"></asp:ListItem>
<asp:ListItem Value="3" Text="Phone call"></asp:ListItem>
<asp:ListItem Value="4" Text="Email (Outgoing)"></asp:ListItem>
<asp:ListItem Value="6" Text="Email (Incoming)"></asp:ListItem>
</asp:DropDownList>
</div>
<div id="divProject" class="noteOptions" runat="server">This note is regarding project:<br /><asp:DropDownList ID="ddlProjects" runat="server" EnableViewState="false" /></div>
<div id="divContactsCompanies" class="noteOptions" runat="server" enableviewstate="false">
	The note is regarding company/contact:<br />
	<input id="tbAttachTo" type="text" style="color:Silver" value="type for suggestions" onfocus="this.value='';this.style.color='Black';" />
	<input type="hidden" id="inputAttachToCompany" name="inputAttachToCompany" />
	<input type="hidden" id="inputAttachToContact" name="inputAttachToContact" />
</div>
<div class="noteOptions">
When did it happen?<br />
<asp:TextBox ID="tbDate" CssClass="datepick" EnableViewState="false" runat="server"></asp:TextBox>
</div>
<div class="noteOptions">
Attach a file <span id="spanDemo" runat="server" enableviewstate="false"></span>:<br />
<asp:FileUpload ID="file1" runat="server" />
</div>
<div class="noteOptions">
<br />Or <gd:GoogleDocsPicker runat="server" ID="gdPicker" />
</div>

<br style="clear:both" />

<asp:CheckBox ID="cbSendToEntity" runat="server" Text="Send a copy of this note to the company/contact" /><br />
<asp:CheckBox ID="cbSetTask" runat="server" Text="Also set a task" EnableViewState="false" />
<div id="newTask" style="display:none">
	When it's due?<br />
	<asp:TextBox ID="tbDueDate" CssClass="datepick" EnableViewState="false" runat="server"></asp:TextBox>
	<asp:CheckBox ID="cbSendReminder" runat="server" Text="Send reminder when due" />
	<br />
	<div>Assign to user (optional):<br /><asp:DropDownList ID="ddlUsers" runat="server" /></div>
</div>
<script type="text/javascript">
	var cbSendReplyId = "<%= cbSendToEntity.ClientID %>";
</script>

</div>
<div style="margin-top:7px">
<button type="button" onclick="return AddComment();">Add this note</button>
or <a href="javascript:HideNewComment();">Cancel</a>
<asp:button style="display:none;" id="btnAddCommentNoAttach" EnableViewState="false" runat="server" text="Add" onclick="btnAddCommentNoAttach_Click" />
<asp:Button style="display:none;" id="btnAddCommentWithAttach" runat="server" EnableViewState="false" Text="Add+upload" onclick="btnAddCommentWithAttach_Click" />
</div>
</ContentTemplate>
<Triggers>
	<asp:PostBackTrigger ControlID="btnAddCommentWithAttach" />
</Triggers>
</asp:UpdatePanel>
</div></div>

</div>

<div style="clear:both"></div>




<%--comments list--%>
<asp:UpdatePanel ID="updatePanelCommentsList" runat="server" UpdateMode="Conditional">
<ContentTemplate>
<asp:repeater id="rptComments" runat="server" EnableViewState="False" OnItemDataBound="rptComments_ItemDataBound">
<HeaderTemplate><table class="itemsList" cellpadding="5px"></HeaderTemplate>
<ItemTemplate>
<tr runat="server" id="trDay" visible="false"><td colspan="4" style="padding-left:0"><h3><%# GetDateDayName(Eval("CommentDate"))%></h3></td></tr>
<tr class="alternativeLightbg outerroundedbox">
		<td class="commentType grey commentType<%# GetEntryType(Eval("CommentType")) %>" >
			<div><%# GetEntryType(Eval("CommentType")) %></div>
			<%-- if its a "inconingEmail" comment from empty "userid"
				then we show the "REPLY" link
			--%>
			<%# (int)Eval("CommentType") == 6 && Eval("UserID").ToString()=="" && !ReadOnly? "<a href='javascript:void(0)' onclick='ReplyClick();'>reply</a>" : ""%>
		</td>	
		<td class="commentText">
		<div><span id="divCommentText<%# Eval("CommentID") %>"><%# Jitbit.Utils.StringUtils.BBCode2HTML(Eval("Body").ToString()) %> </span><span class="grey"><%# GetAttachmentLink(Eval("FileID"), Eval("FileName"), Eval("GoogleDriveUrl"))%></span></div>
		<span class="grey"><%# GetCompanyOrContactOrProjectLink(Container.DataItem) %></span></td>
		
		<td <%# (Eval("UserID").ToString()==User.CurrentUserID.ToString() || ((CRMPage)Page).IsAdmin) && !ReadOnly && (int)Eval("CommentType") != 5 && (int)Eval("CommentType") != 6 && (int)Eval("CommentType") != 7 && (int)Eval("CommentType") != 8
				? "class='editCell' onclick='EditComment(this, " + Eval("CommentID") + ");'"
				: "" %>>
			 &nbsp;&nbsp;&nbsp;
		</td>
		<td class="commentMeta grey">
			<%# Eval("UserName").ToString() == "" ? "" : "Posted&nbsp;by&nbsp;<a href='ViewUser.aspx?UserID=" + Eval("UserID") + "'>" + Eval("UserName") + "</a><br />"%>
			<%# ((DateTime)Eval("CommentDate")).ToAgoString(defaultFormatString: "HH:mm", currentTime: VariousUtils.GetCurrTime()) %>
		</td>
	</tr><tr class="separator"><td colspan="3"></td></tr></ItemTemplate>
<FooterTemplate></table></FooterTemplate>
</asp:repeater>
</ContentTemplate>
</asp:UpdatePanel>


<script type="text/javascript">
var textboxid = "<%= tbNewComment.ClientID %>";
var textboxelement = document.getElementById(textboxid);
</script>


<!--edit box-->
<table id="tblEditComment" cellpadding="7" style="display:none;position:absolute;" class="graphtable darkbg">
<tr><th>Edit note</th></tr>
<tr><td class="grey">
	<asp:UpdatePanel ID="UpdatePanel3" runat="server" RenderMode="Inline"><ContentTemplate>
		<asp:TextBox runat="server" id="tbEditedCommentText" TextMode="MultiLine" Rows="4" Width="450" /><br />
		<asp:HiddenField ID="fldEditedCommentId" runat="server" />
		<asp:button ID="btnEdit" runat="server" OnClick="btnEdit_Click" OnClientClick="$('#tblEditComment').hide();return true;" Text="Save" />
		<asp:button id="btnDelete" runat="server" Text="Delete" OnClick="btnDelete_Click" OnClientClick="if(confirm('Are you sure you want to delete this note?')) { $('#tblEditComment').hide();return true; } else { return false; }" />
	</ContentTemplate></asp:UpdatePanel>
	or <a href="javascript:void(0)" onclick="$('#tblEditComment').hide();">Cancel</a>
</td></tr>
</table>




<div id="divHelp" runat="server" class="grey" enableviewstate="false">
<br /><br />
<b>What is a note?</b> You might enter a note about a call, or a meeting, or a conversation you just had with this company/contact.<br />
Notes are great for keeping a history of your interactions or communications with someone.
</div>


<script src="js/jquery.cookie.js" type="text/javascript"></script>

<!--datepicker-->
<script type="text/javascript">
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });

		$("#<%= cbSetTask.ClientID %>").live("change", function () { $("#newTask").toggle(); })
	});
	function EndRequestHandler(sender, args) {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	}
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);

	function ShowNewSubscriber() {
		$('#<%= tbUserAdd.TextBoxClientID %>').show().val('').focus()
	}

	function SaveHideSystemCheckbox(cbElement) {
		if ($(cbElement).is(':checked')) {
			$.cookie("hideSystemComments", true, { expires: 7 });
		}
		else {
			$.removeCookie("hideSystemComments");
		}
	}

	function AttachAutoComplete() {
		AttachAutoCompleteToInputAndHiddenInput(
			$('#tbAttachTo'),
			$('#inputAttachToContact'),
			$('#inputAttachToCompany')
		);
	}
	$(document).ready(AttachAutoComplete);
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(AttachAutoComplete);

	function ShowNewComment() {
		$("#btnShowNew").hide();
		$("#tblNewComment").slideDown();
		$("#<%= tbNewComment.ClientID %>").focus();
	   }
	function ShowCommentOptions() {
		$('#divAdvanced').show();
		$('#lnkCommentOptions').hide();
	}
	function ReplyClick() {
		ShowNewComment();
		ShowCommentOptions();
		if(cbSendReplyId)
			$('#' + cbSendReplyId).click();
	}
	function HideNewComment() {
		$("#btnShowNew").show();
		$("#tblNewComment").slideUp();
	}
	function AddComment() {
		$("#tblNewComment").hide();
		var btnAddNoAttach = document.getElementById('<%= btnAddCommentNoAttach.ClientID %>');
		var btnAddWithAttach = document.getElementById('<%= btnAddCommentWithAttach.ClientID %>');
		var fileInput = document.getElementById('<%= file1.ClientID %>');
		if (!fileInput.value) {
			btnAddNoAttach.click(); //regular add
		}
		else {
			btnAddWithAttach.click(); //trigger a postback
		}
	}
	
	function EditComment(tdElement, commentId) {
		var commentText = $get("divCommentText" + commentId).innerHTML;
		commentText = commentText.replace(/<br[^>]*>/gi, "\n");
		$get("<%= tbEditedCommentText.ClientID %>").value = commentText;
		$get("<%= fldEditedCommentId.ClientID %>").value = commentId;
		$get("tblEditComment").style.top = $(tdElement).offset().top + "px";
		//prevent edit window from getting off limits of the screen. (it has fixed width of 700px)
		$get("tblEditComment").style.left = ($(window).width() - $(tdElement).offset().left < 470 ? $(window).width() - 470 : $(tdElement).offset().left) + "px";
		$("#tblEditComment").show();
	}
	$("#<%= tbEditedCommentText.ClientID %>").bind('keyup', AutoResizeEditCommentBox);
	$("#<%= tbNewComment.ClientID %>").bind('keyup', AutoResizeAddCommentBox);

	function AutoResizeEditCommentBox() {
		AutoResizeTextBox($get("<%= tbEditedCommentText.ClientID %>"));
	}
	function AutoResizeAddCommentBox() {
		AutoResizeTextBox($get("<%= tbNewComment.ClientID %>"));
	}
	function AutoResizeTextBox(editbox) {
		if (editbox.scrollTop > 0) {
			editbox.style.height = (editbox.clientHeight + editbox.scrollTop) + "px";
		}
	}
	function AddSubscriber() {
		$("#<%= btnAddSubscriber.ClientID %>").click();
	}
</script>